#15 Trouble of installation (path invalid)

closed
nobody
5
2014-08-26
2003-10-20
Itar Hsu
No

Excuse me:

I have some problem of my LXR (lxr-0.3.1).

I followed the installation instructions from
http://lxr.linux.no/New-INSTALL,

install LXR at /var/www/html/lxr (/var/www/html is my
Web Document root),

add to httpd.conf:

<Directory /var/www/html/lxr>
Options All
AllowOverride All
</Directory>

there is the content of /var/www/html/lxr:

drwxr-xr-x 2 apache apache 4096 Oct 20 01:38
bin
drwxr-xr-x 3 apache apache 4096 Oct 20 07:54
http
drwxr-xr-x 4 apache apache 4096 Oct 20 07:26
source

[lxr.conf]

variable: v, Version,
[/var/www/html/lxr/source/versions],
[/var/www/html/lxr/source/defversion]

variable: a, Architecture, (i386, alpha, m68k, mips, ppc,
sparc, sparc64)

baseurl: http:/hpc.ee.ntu.edu.tw/lxr/http

htmlhead: /var/www/html/lxr/http/template-head
htmltail: /var/www/html/lxr/http/template-tail
htmldir: /var/www/html/lxr/http/template-dir

sourceroot: /var/www/html/lxr/source/preempt
srcrootname: test

incprefix: /include

dbdir: /var/www/html/lxr/source/

glimpsebin:

map: /include/asm[^\/]*/ /include/asm-$a/
map: /arch/[^\/]+/ /arch/$a/

and restart httpd.

at /var/www/html/lxr/source,
executed:
../bin/genxref preempt

I use IE to connect
http://hpcee.ntu.edu.tw/lxr/http/source,

but some path maybe wrong,

for example, check.c links to lxr/source/check.c, but
when I clicked it, there's no this file.

but when I connect
http://hpc.ee.ntu.edu.tw/lxr/http/source/check.c,

it appeared right content.

All of the links include "Cross Reference", "test" and
icons is wrong, etc.

and I tried to fixed lxr.conf but still wrong.

Could somebody help me to solve this problem?

And how to write the lxr.conf if I want use multi-
sourceroot?

I found a HOWTO doc at
http://www.ibiblio.org/gleblanc/webtools-
howto/index.html#lxr,

an example like this:

sourceroot: gnome
/cvsroot/gnome/tree1
sourceroot: othertree /cvsroot/gnome/othertree

but my web page told me that my lxr.conf format was
invalid.

Thanks for your help!

HsuItar,
Department of Electrical Engineering, National Taiwan
University

Discussion

  • Itar Hsu
    Itar Hsu
    2003-10-20

    lxr root

     
    Attachments
  • Malcolm Box
    Malcolm Box
    2005-03-26

    • status: open --> closed